import { Pipe } from "@angular/core";
/**
 * returns if the item is present in the array or not.
 */
export class ArrayContainsPipe {
    transform(array, item) {
        if (!Array.isArray(array)) {
            return false;
        }
        return array.includes(item);
    }
}
ArrayContainsPipe.decorators = [
    { type: Pipe, args: [{
                name: "contains"
            },] },
];
/** @nocollapse */
ArrayContainsPipe.ctorParameters = () => [];
//# sourceMappingURL=array-contains.pipe.js.map