import { Pipe } from "@angular/core";
export class ArrayMaxPipe {
    transform(array) {
        if (!Array.isArray(array) || isNaN(array[0])) {
            return 0;
        }
        return Math.max(...array);
    }
}
ArrayMaxPipe.decorators = [
    { type: Pipe, args: [{
                name: "max"
            },] },
];
/** @nocollapse */
ArrayMaxPipe.ctorParameters = () => [];
//# sourceMappingURL=array-max.pipe.js.map