import { Pipe } from "@angular/core";
export class ArrayMinPipe {
    transform(array) {
        if (!Array.isArray(array) || isNaN(array[0])) {
            return 0;
        }
        return Math.min(...array);
    }
}
ArrayMinPipe.decorators = [
    { type: Pipe, args: [{
                name: "min"
            },] },
];
/** @nocollapse */
ArrayMinPipe.ctorParameters = () => [];
//# sourceMappingURL=array-min.pipe.js.map