import { Pipe } from "@angular/core";
/**
 * right trims an array
 */
export class ArrayRtrimPipe {
    transform(array, items = 0) {
        if (!Array.isArray(array)) {
            return array;
        }
        array.splice(-items, items);
        return array;
    }
}
ArrayRtrimPipe.decorators = [
    { type: Pipe, args: [{
                name: "rtrim"
            },] },
];
/** @nocollapse */
ArrayRtrimPipe.ctorParameters = () => [];
//# sourceMappingURL=array-rtrim.pipe.js.map