import { Pipe } from "@angular/core";
/**
 * returns a shuffled array
 */
export class ArraySumPipe {
    transform(array) {
        if (!Array.isArray(array) || isNaN(array[0])) {
            return 0;
        }
        return array.reduce((a, b) => a + b, 0);
    }
}
ArraySumPipe.decorators = [
    { type: Pipe, args: [{
                name: "sum"
            },] },
];
/** @nocollapse */
ArraySumPipe.ctorParameters = () => [];
//# sourceMappingURL=array-sum.pipe.js.map