import { Pipe } from "@angular/core";
/**
 * trims array from both ends with specified no of elements
 */
export class ArrayTrimPipe {
    transform(array, items) {
        if (!Array.isArray(array)) {
            return array;
        }
        array.splice(0, items);
        array.splice(-items, items);
        return array;
    }
}
ArrayTrimPipe.decorators = [
    { type: Pipe, args: [{
                name: "trim"
            },] },
];
/** @nocollapse */
ArrayTrimPipe.ctorParameters = () => [];
//# sourceMappingURL=array-trim.pipe.js.map