/**
 * ngx-custom-pipes - custom pipes module for angular 4 and above applications
 * @version v0.0.0
 * @author Manish Kumar
 * @link https://github.com/manishjanky/ngx-custom-pipes#readme
 * @license MIT
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("@angular/core"));
	else if(typeof define === 'function' && define.amd)
		define(["@angular/core"], factory);
	else if(typeof exports === 'object')
		exports["ticktock"] = factory(require("@angular/core"));
	else
		root["ticktock"] = factory(root["ng"]["core"]);
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_0__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 4);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var math_sqrt_pipe_1 = __webpack_require__(6);
var math_round_off_pipe_1 = __webpack_require__(7);
var math_radians_pipe_1 = __webpack_require__(8);
var math_pow_pipe_1 = __webpack_require__(9);
var math_percent_pipe_1 = __webpack_require__(10);
var math_mode_pipe_1 = __webpack_require__(11);
var math_median_pipe_1 = __webpack_require__(12);
var math_mean_pipe_1 = __webpack_require__(13);
var math_from_binary_pipe_1 = __webpack_require__(14);
var math_floor_pipe_1 = __webpack_require__(15);
var math_degrees_pipe_1 = __webpack_require__(16);
var math_ceil_pipe_1 = __webpack_require__(17);
var math_to_binary_pipe_1 = __webpack_require__(18);
var core_1 = __webpack_require__(0);
var MathPipesModule = /** @class */ (function () {
    function MathPipesModule() {
    }
    MathPipesModule = __decorate([
        core_1.NgModule({
            declarations: [math_to_binary_pipe_1.MathToBinaryPipe, math_ceil_pipe_1.MathCeilingPipe, math_degrees_pipe_1.MathDegreesPipe, math_floor_pipe_1.MathFloorPipe, math_from_binary_pipe_1.MathFromBinaryPipe,
                math_mean_pipe_1.MathMeanPipe, math_median_pipe_1.MathMedianPipe, math_mode_pipe_1.MathModePipe, math_percent_pipe_1.MathPercentagePipe, math_pow_pipe_1.MathPowPipe, math_radians_pipe_1.MathRadiansPipe, math_round_off_pipe_1.MathRoundOffPipe,
                math_sqrt_pipe_1.MathSqrtPipe, math_from_binary_pipe_1.MathFromBinaryPipe],
            imports: [],
            exports: [math_to_binary_pipe_1.MathToBinaryPipe, math_ceil_pipe_1.MathCeilingPipe, math_degrees_pipe_1.MathDegreesPipe, math_floor_pipe_1.MathFloorPipe, math_from_binary_pipe_1.MathFromBinaryPipe,
                math_mean_pipe_1.MathMeanPipe, math_median_pipe_1.MathMedianPipe, math_mode_pipe_1.MathModePipe, math_percent_pipe_1.MathPercentagePipe, math_pow_pipe_1.MathPowPipe, math_radians_pipe_1.MathRadiansPipe, math_round_off_pipe_1.MathRoundOffPipe,
                math_sqrt_pipe_1.MathSqrtPipe, math_from_binary_pipe_1.MathFromBinaryPipe],
            providers: [],
            bootstrap: []
        })
    ], MathPipesModule);
    return MathPipesModule;
}());
exports.MathPipesModule = MathPipesModule;


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var array_pipes_module_1 = __webpack_require__(19);
exports.ArrayPipesModule = array_pipes_module_1.ArrayPipesModule;


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var string_pipes_module_1 = __webpack_require__(38);
exports.StringPipesModule = string_pipes_module_1.StringPipesModule;


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var math_pipes_1 = __webpack_require__(5);
exports.MathPipesModule = math_pipes_1.MathPipesModule;
var array_pipes_1 = __webpack_require__(2);
exports.ArrayPipesModule = array_pipes_1.ArrayPipesModule;
var string_pipes_1 = __webpack_require__(3);
exports.StringPipesModule = string_pipes_1.StringPipesModule;
var ngx_custom_pipes_module_1 = __webpack_require__(54);
exports.CustomPipesModule = ngx_custom_pipes_module_1.CustomPipesModule;


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var math_pipes_module_1 = __webpack_require__(1);
exports.MathPipesModule = math_pipes_module_1.MathPipesModule;


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * calculates the square root of a given number
 */
var MathSqrtPipe = /** @class */ (function () {
    function MathSqrtPipe() {
    }
    MathSqrtPipe.prototype.transform = function (value) {
        return isNaN(value) ? value : Math.sqrt(value);
    };
    MathSqrtPipe = __decorate([
        core_1.Pipe({
            name: 'sqrt'
        })
    ], MathSqrtPipe);
    return MathSqrtPipe;
}());
exports.MathSqrtPipe = MathSqrtPipe;


/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var MathRoundOffPipe = /** @class */ (function () {
    function MathRoundOffPipe() {
    }
    MathRoundOffPipe.prototype.transform = function (value, digits) {
        if (digits === void 0) { digits = 0; }
        return isNaN(value) ? value : value.toFixed(digits);
    };
    MathRoundOffPipe = __decorate([
        core_1.Pipe({ name: "roundoff" })
    ], MathRoundOffPipe);
    return MathRoundOffPipe;
}());
exports.MathRoundOffPipe = MathRoundOffPipe;


/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * converts degrees to radians
 */
var MathRadiansPipe = /** @class */ (function () {
    function MathRadiansPipe() {
    }
    MathRadiansPipe.prototype.transform = function (value) {
        return isNaN(value) ? value : value * Math.PI / 180;
    };
    MathRadiansPipe = __decorate([
        core_1.Pipe({
            name: "radians"
        })
    ], MathRadiansPipe);
    return MathRadiansPipe;
}());
exports.MathRadiansPipe = MathRadiansPipe;


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/*
 * Calculate the exponential power of argument
*/
var MathPowPipe = /** @class */ (function () {
    function MathPowPipe() {
    }
    MathPowPipe.prototype.transform = function (value, pow) {
        return isNaN(value) ? value : Math.pow(value, isNaN(pow) ? 1 : pow);
    };
    MathPowPipe = __decorate([
        core_1.Pipe({ name: 'pow' })
    ], MathPowPipe);
    return MathPowPipe;
}());
exports.MathPowPipe = MathPowPipe;


/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/*
 * Calculate the percentage of value of argument
*/
var MathPercentagePipe = /** @class */ (function () {
    function MathPercentagePipe() {
    }
    MathPercentagePipe.prototype.transform = function (value, total) {
        if (total === void 0) { total = 100; }
        return isNaN(value) ? value : (value / total) * 100 + "%";
    };
    MathPercentagePipe = __decorate([
        core_1.Pipe({ name: 'prcnt' })
    ], MathPercentagePipe);
    return MathPercentagePipe;
}());
exports.MathPercentagePipe = MathPercentagePipe;


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns the mode of a array of numbers
 */
var MathModePipe = /** @class */ (function () {
    function MathModePipe() {
    }
    MathModePipe.prototype.transform = function (array) {
        if (!Array.isArray(array) || isNaN(array[0])) {
            return array;
        }
        var modes = [];
        var count = [];
        var maxIndex = 0;
        for (var _i = 0, array_1 = array; _i < array_1.length; _i++) {
            var num = array_1[_i];
            count[num] = (count[num] || 0) + 1;
            if (count[num] > maxIndex) {
                maxIndex = count[num];
            }
        }
        for (var i in count) {
            if (count.hasOwnProperty(i)) {
                if (count[i] === maxIndex) {
                    modes.push(Number(i));
                }
            }
        }
        return modes;
    };
    MathModePipe = __decorate([
        core_1.Pipe({
            name: "mode"
        })
    ], MathModePipe);
    return MathModePipe;
}());
exports.MathModePipe = MathModePipe;


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns the median of an array
 */
var MathMedianPipe = /** @class */ (function () {
    function MathMedianPipe() {
    }
    MathMedianPipe.prototype.transform = function (array) {
        if (!Array.isArray(array) || array.length === 0 || isNaN(array[0])) {
            return 0;
        }
        var median = 0;
        var len = array.length;
        array.sort(function (a, b) { return a - b; });
        if (len % 2 === 0) {
            median = (array[len / 2 - 1] + array[len / 2]) / 2;
        }
        else {
            median = array[(len - 1) / 2];
        }
        return median;
    };
    MathMedianPipe = __decorate([
        core_1.Pipe({
            name: "median"
        })
    ], MathMedianPipe);
    return MathMedianPipe;
}());
exports.MathMedianPipe = MathMedianPipe;


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * Returns the average of an array of numbers
 */
var MathMeanPipe = /** @class */ (function () {
    function MathMeanPipe() {
    }
    MathMeanPipe.prototype.transform = function (array) {
        if (!Array.isArray(array) || !array.length || isNaN(array[0])) {
            return 0;
        }
        var sum = array.reduce(function (a, b) {
            return a + b;
        }, 0);
        return sum / array.length;
    };
    MathMeanPipe = __decorate([
        core_1.Pipe({
            name: "mean"
        })
    ], MathMeanPipe);
    return MathMeanPipe;
}());
exports.MathMeanPipe = MathMeanPipe;


/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/*
 * returns the decimal/hexadecimmal etc representation of a number
*/
var MathFromBinaryPipe = /** @class */ (function () {
    function MathFromBinaryPipe() {
    }
    MathFromBinaryPipe.prototype.transform = function (value, base) {
        if (base === void 0) { base = 2; }
        return parseInt(value, base);
    };
    MathFromBinaryPipe = __decorate([
        core_1.Pipe({ name: 'fromBinary' })
    ], MathFromBinaryPipe);
    return MathFromBinaryPipe;
}());
exports.MathFromBinaryPipe = MathFromBinaryPipe;


/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/*
 * Calculate the floor value of argument
*/
var MathFloorPipe = /** @class */ (function () {
    function MathFloorPipe() {
    }
    MathFloorPipe.prototype.transform = function (value) {
        return isNaN(value) ? value : Math.floor(value);
    };
    MathFloorPipe = __decorate([
        core_1.Pipe({ name: 'floor' })
    ], MathFloorPipe);
    return MathFloorPipe;
}());
exports.MathFloorPipe = MathFloorPipe;


/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * converts radians to degrees
 */
var MathDegreesPipe = /** @class */ (function () {
    function MathDegreesPipe() {
    }
    MathDegreesPipe.prototype.transform = function (value) {
        return isNaN(value) ? value : value * 180 / Math.PI;
    };
    MathDegreesPipe = __decorate([
        core_1.Pipe({
            name: "degrees"
        })
    ], MathDegreesPipe);
    return MathDegreesPipe;
}());
exports.MathDegreesPipe = MathDegreesPipe;


/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/*
 * Calculate the ceiling value of argument
*/
var MathCeilingPipe = /** @class */ (function () {
    function MathCeilingPipe() {
    }
    MathCeilingPipe.prototype.transform = function (value) {
        return isNaN(value) ? value : Math.ceil(value);
    };
    MathCeilingPipe = __decorate([
        core_1.Pipe({ name: 'ceil' })
    ], MathCeilingPipe);
    return MathCeilingPipe;
}());
exports.MathCeilingPipe = MathCeilingPipe;


/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns the binary representation of a number
 */
var MathToBinaryPipe = /** @class */ (function () {
    function MathToBinaryPipe() {
    }
    MathToBinaryPipe.prototype.transform = function (value, base) {
        if (base === void 0) { base = 2; }
        return isNaN(value) ? value : value.toString(base);
    };
    MathToBinaryPipe = __decorate([
        core_1.Pipe({ name: 'toBinary' })
    ], MathToBinaryPipe);
    return MathToBinaryPipe;
}());
exports.MathToBinaryPipe = MathToBinaryPipe;


/***/ }),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var array_unique_pipe_1 = __webpack_require__(20);
var array_trim_pipe_1 = __webpack_require__(21);
var array_sum_pipe_1 = __webpack_require__(22);
var array_sort_by_pipe_1 = __webpack_require__(23);
var array_shuffle_pipe_1 = __webpack_require__(24);
var array_rtrim_pipe_1 = __webpack_require__(25);
var array_reverse_pipe_1 = __webpack_require__(26);
var array_range_pipe_1 = __webpack_require__(27);
var array_omit_pipe_1 = __webpack_require__(28);
var array_min_pipe_1 = __webpack_require__(29);
var array_merge_pipe_1 = __webpack_require__(30);
var array_max_pipe_1 = __webpack_require__(31);
var array_ltrim_pipe_1 = __webpack_require__(32);
var array_limit_to_pipe_1 = __webpack_require__(33);
var array_filter_by_pipe_1 = __webpack_require__(34);
var array_dupes_pipe_1 = __webpack_require__(35);
var array_diff_pipe_1 = __webpack_require__(36);
var array_contains_pipe_1 = __webpack_require__(37);
var core_1 = __webpack_require__(0);
var ArrayPipesModule = /** @class */ (function () {
    function ArrayPipesModule() {
    }
    ArrayPipesModule = __decorate([
        core_1.NgModule({
            declarations: [array_contains_pipe_1.ArrayContainsPipe, array_diff_pipe_1.ArrayDiffPipe, array_dupes_pipe_1.ArrayDupesPipe, array_filter_by_pipe_1.ArrayFilterPipe, array_limit_to_pipe_1.ArrayLimitToPipe,
                array_ltrim_pipe_1.ArrayLtrimPipe, array_max_pipe_1.ArrayMaxPipe, array_merge_pipe_1.ArrayMergePipe, array_min_pipe_1.ArrayMinPipe, array_omit_pipe_1.ArrayOmitPipe, array_range_pipe_1.ArrayRangePipe, array_unique_pipe_1.ArrayUniquePipe,
                array_reverse_pipe_1.ArrayReversePipe, array_rtrim_pipe_1.ArrayRtrimPipe, array_shuffle_pipe_1.ArrayShufflePipe, array_sort_by_pipe_1.ArraySortByPipe, array_sum_pipe_1.ArraySumPipe, array_trim_pipe_1.ArrayTrimPipe],
            imports: [],
            exports: [array_contains_pipe_1.ArrayContainsPipe, array_diff_pipe_1.ArrayDiffPipe, array_dupes_pipe_1.ArrayDupesPipe, array_filter_by_pipe_1.ArrayFilterPipe, array_limit_to_pipe_1.ArrayLimitToPipe,
                array_ltrim_pipe_1.ArrayLtrimPipe, array_max_pipe_1.ArrayMaxPipe, array_merge_pipe_1.ArrayMergePipe, array_min_pipe_1.ArrayMinPipe, array_omit_pipe_1.ArrayOmitPipe, array_range_pipe_1.ArrayRangePipe, array_unique_pipe_1.ArrayUniquePipe,
                array_reverse_pipe_1.ArrayReversePipe, array_rtrim_pipe_1.ArrayRtrimPipe, array_shuffle_pipe_1.ArrayShufflePipe, array_sort_by_pipe_1.ArraySortByPipe, array_sum_pipe_1.ArraySumPipe, array_trim_pipe_1.ArrayTrimPipe],
            providers: [],
            bootstrap: []
        })
    ], ArrayPipesModule);
    return ArrayPipesModule;
}());
exports.ArrayPipesModule = ArrayPipesModule;


/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns unique elements from an array
 */
var ArrayUniquePipe = /** @class */ (function () {
    function ArrayUniquePipe() {
    }
    ArrayUniquePipe.prototype.transform = function (array) {
        if (!Array.isArray(array)) {
            return array;
        }
        if (typeof array[0] !== 'object') {
            return array.filter(function (value, index, self) { return self.indexOf(value) === index; });
        }
        var a = [];
        for (var _i = 0, array_1 = array; _i < array_1.length; _i++) {
            var item = array_1[_i];
            if (!this.findObjectInArray(a, item)) {
                a.push(item);
            }
        }
        return a;
    };
    ArrayUniquePipe.prototype.findObjectInArray = function (array, object) {
        var found = false;
        for (var _i = 0, array_2 = array; _i < array_2.length; _i++) {
            var item = array_2[_i];
            if (JSON.stringify(item) === JSON.stringify(object)) {
                found = true;
            }
        }
        return found;
    };
    ArrayUniquePipe = __decorate([
        core_1.Pipe({
            name: "unique"
        })
    ], ArrayUniquePipe);
    return ArrayUniquePipe;
}());
exports.ArrayUniquePipe = ArrayUniquePipe;


/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * trims array from both ends with specified no of elements
 */
var ArrayTrimPipe = /** @class */ (function () {
    function ArrayTrimPipe() {
    }
    ArrayTrimPipe.prototype.transform = function (array, items) {
        if (!Array.isArray(array)) {
            return array;
        }
        array.splice(0, items);
        array.splice(-items, items);
        return array;
    };
    ArrayTrimPipe = __decorate([
        core_1.Pipe({
            name: "trim"
        })
    ], ArrayTrimPipe);
    return ArrayTrimPipe;
}());
exports.ArrayTrimPipe = ArrayTrimPipe;


/***/ }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns a shuffled array
 */
var ArraySumPipe = /** @class */ (function () {
    function ArraySumPipe() {
    }
    ArraySumPipe.prototype.transform = function (array) {
        if (!Array.isArray(array) || isNaN(array[0])) {
            return 0;
        }
        return array.reduce(function (a, b) { return a + b; }, 0);
    };
    ArraySumPipe = __decorate([
        core_1.Pipe({
            name: "sum"
        })
    ], ArraySumPipe);
    return ArraySumPipe;
}());
exports.ArraySumPipe = ArraySumPipe;


/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var ArraySortByPipe = /** @class */ (function () {
    function ArraySortByPipe() {
    }
    ArraySortByPipe.prototype.transform = function (array, reverse, prop) {
        if (reverse === void 0) { reverse = false; }
        if (!Array.isArray(array)) {
            return array;
        }
        if (array.length) {
            var sortedArray = void 0;
            if (typeof array[0] === "string") {
                sortedArray = array.sort();
            }
            if (typeof array[0] === "number") {
                sortedArray = array.sort(function (a, b) { return a - b; });
            }
            if (typeof array[0] === "object" && prop) {
                sortedArray = array.sort(function (a, b) { return a[prop].toString().localeCompare(b[prop].toString()); });
            }
            return !reverse ? sortedArray : sortedArray.reverse();
        }
        return array;
    };
    ArraySortByPipe = __decorate([
        core_1.Pipe({
            name: "sortBy"
        })
    ], ArraySortByPipe);
    return ArraySortByPipe;
}());
exports.ArraySortByPipe = ArraySortByPipe;


/***/ }),
/* 24 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns a shuffled array
 */
var ArrayShufflePipe = /** @class */ (function () {
    function ArrayShufflePipe() {
    }
    ArrayShufflePipe.prototype.transform = function (array) {
        if (!Array.isArray(array)) {
            return array;
        }
        return array.sort(function () { return Math.random() - 0.5; });
    };
    ArrayShufflePipe = __decorate([
        core_1.Pipe({
            name: "shuffle"
        })
    ], ArrayShufflePipe);
    return ArrayShufflePipe;
}());
exports.ArrayShufflePipe = ArrayShufflePipe;


/***/ }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * right trims an array
 */
var ArrayRtrimPipe = /** @class */ (function () {
    function ArrayRtrimPipe() {
    }
    ArrayRtrimPipe.prototype.transform = function (array, items) {
        if (items === void 0) { items = 0; }
        if (!Array.isArray(array)) {
            return array;
        }
        array.splice(-items, items);
        return array;
    };
    ArrayRtrimPipe = __decorate([
        core_1.Pipe({
            name: "rtrim"
        })
    ], ArrayRtrimPipe);
    return ArrayRtrimPipe;
}());
exports.ArrayRtrimPipe = ArrayRtrimPipe;


/***/ }),
/* 26 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var ArrayReversePipe = /** @class */ (function () {
    function ArrayReversePipe() {
    }
    ArrayReversePipe.prototype.transform = function (array) {
        if (!Array.isArray(array)) {
            return array;
        }
        return array.reverse();
    };
    ArrayReversePipe = __decorate([
        core_1.Pipe({
            name: "reverse"
        })
    ], ArrayReversePipe);
    return ArrayReversePipe;
}());
exports.ArrayReversePipe = ArrayReversePipe;


/***/ }),
/* 27 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns the items that fall in the specified range
 * of start and end index
 */
var ArrayRangePipe = /** @class */ (function () {
    function ArrayRangePipe() {
    }
    ArrayRangePipe.prototype.transform = function (array, startIndex, endIndex) {
        if (startIndex === void 0) { startIndex = 0; }
        if (endIndex === void 0) { endIndex = array.length; }
        if (!Array.isArray(array)) {
            return array;
        }
        return array.slice(startIndex, endIndex + 1);
    };
    ArrayRangePipe = __decorate([
        core_1.Pipe({
            name: "range"
        })
    ], ArrayRangePipe);
    return ArrayRangePipe;
}());
exports.ArrayRangePipe = ArrayRangePipe;


/***/ }),
/* 28 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * omits the passed elements from array
 */
var ArrayOmitPipe = /** @class */ (function () {
    function ArrayOmitPipe() {
    }
    ArrayOmitPipe.prototype.transform = function (array, omitParams) {
        if (omitParams === void 0) { omitParams = []; }
        var inputArray = JSON.parse(JSON.stringify(array));
        if (!Array.isArray(array) || !Array.isArray(omitParams)) {
            return array;
        }
        omitParams.forEach(function (item) {
            var index = inputArray.indexOf(item);
            if (index > -1) {
                inputArray.splice(index, 1);
            }
        });
        return inputArray;
    };
    ArrayOmitPipe = __decorate([
        core_1.Pipe({
            name: "omit"
        })
    ], ArrayOmitPipe);
    return ArrayOmitPipe;
}());
exports.ArrayOmitPipe = ArrayOmitPipe;


/***/ }),
/* 29 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var ArrayMinPipe = /** @class */ (function () {
    function ArrayMinPipe() {
    }
    ArrayMinPipe.prototype.transform = function (array) {
        if (!Array.isArray(array) || isNaN(array[0])) {
            return 0;
        }
        return Math.min.apply(Math, array);
    };
    ArrayMinPipe = __decorate([
        core_1.Pipe({
            name: "min"
        })
    ], ArrayMinPipe);
    return ArrayMinPipe;
}());
exports.ArrayMinPipe = ArrayMinPipe;


/***/ }),
/* 30 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * merges two or more arrays
 */
var ArrayMergePipe = /** @class */ (function () {
    function ArrayMergePipe() {
    }
    ArrayMergePipe.prototype.transform = function (array) {
        var arrays = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            arrays[_i - 1] = arguments[_i];
        }
        if (!Array.isArray(array)) {
            return array;
        }
        return array.concat.apply(array, arrays);
    };
    ArrayMergePipe = __decorate([
        core_1.Pipe({
            name: "merge"
        })
    ], ArrayMergePipe);
    return ArrayMergePipe;
}());
exports.ArrayMergePipe = ArrayMergePipe;


/***/ }),
/* 31 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var ArrayMaxPipe = /** @class */ (function () {
    function ArrayMaxPipe() {
    }
    ArrayMaxPipe.prototype.transform = function (array) {
        if (!Array.isArray(array) || isNaN(array[0])) {
            return 0;
        }
        return Math.max.apply(Math, array);
    };
    ArrayMaxPipe = __decorate([
        core_1.Pipe({
            name: "max"
        })
    ], ArrayMaxPipe);
    return ArrayMaxPipe;
}());
exports.ArrayMaxPipe = ArrayMaxPipe;


/***/ }),
/* 32 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * ltrims an array
 */
var ArrayLtrimPipe = /** @class */ (function () {
    function ArrayLtrimPipe() {
    }
    ArrayLtrimPipe.prototype.transform = function (array, itemsCount) {
        if (itemsCount === void 0) { itemsCount = 0; }
        if (!Array.isArray(array)) {
            return array;
        }
        array.splice(0, itemsCount);
        return array;
    };
    ArrayLtrimPipe = __decorate([
        core_1.Pipe({
            name: "ltrim"
        })
    ], ArrayLtrimPipe);
    return ArrayLtrimPipe;
}());
exports.ArrayLtrimPipe = ArrayLtrimPipe;


/***/ }),
/* 33 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var ArrayLimitToPipe = /** @class */ (function () {
    function ArrayLimitToPipe() {
    }
    ArrayLimitToPipe.prototype.transform = function (array, itemsCount, startIndex) {
        if (startIndex === void 0) { startIndex = 0; }
        if (!Array.isArray(array)) {
            return array;
        }
        return array.slice(startIndex, startIndex + itemsCount);
    };
    ArrayLimitToPipe = __decorate([
        core_1.Pipe({
            name: "limitTo"
        })
    ], ArrayLimitToPipe);
    return ArrayLimitToPipe;
}());
exports.ArrayLimitToPipe = ArrayLimitToPipe;


/***/ }),
/* 34 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * filters an array based on searctext
 */
var ArrayFilterPipe = /** @class */ (function () {
    function ArrayFilterPipe() {
    }
    ArrayFilterPipe.prototype.transform = function (array, searchText, keyName) {
        if (!array || !searchText || !Array.isArray(array)) {
            return array;
        }
        if (typeof array[0] === 'string') {
            return array.filter(function (item) { return item.indexOf(searchText) > -1; });
        }
        // filter array, items which match and return true will be
        // kept, false will be filtered out
        if (!keyName) {
            return array.filter(function (item) {
                for (var key in item) {
                    if (typeof item[key] !== "object" && item[key].toString().indexOf(searchText) > -1) {
                        return true;
                    }
                }
                return false;
            });
        }
        else {
            return array.filter(function (item) {
                if (typeof item[keyName] !== "object" && item[keyName].toString().toLowerCase().indexOf(searchText.toLowerCase()) > -1) {
                    return true;
                }
                return false;
            });
        }
    };
    ArrayFilterPipe = __decorate([
        core_1.Pipe({
            name: "filterBy"
        })
    ], ArrayFilterPipe);
    return ArrayFilterPipe;
}());
exports.ArrayFilterPipe = ArrayFilterPipe;


/***/ }),
/* 35 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns the items which occur more than once in array i.e duplicates.
 */
var ArrayDupesPipe = /** @class */ (function () {
    function ArrayDupesPipe() {
    }
    ArrayDupesPipe.prototype.transform = function (array, key) {
        if (!Array.isArray(array)) {
            return array;
        }
        var sorted_arr = array.slice().sort();
        var result = [];
        if (typeof array[0] !== "object") {
            for (var i = 0; i < sorted_arr.length - 1; i++) {
                if (sorted_arr[i + 1] === sorted_arr[i] && result.indexOf(sorted_arr[i]) === -1) {
                    result.push(sorted_arr[i]);
                }
            }
        }
        else {
            if (!key && typeof key !== "string") {
                return array;
            }
            if (Object.keys(array[0]).indexOf(key) === -1) {
                return array;
            }
            sorted_arr = array.sort(function (a, b) { return a[key].toString().localeCompare(b[key].toString()); });
            for (var j = 0; j < sorted_arr.length - 1; j++) {
                if (sorted_arr[j + 1][key] === sorted_arr[j][key]) {
                    result.push(sorted_arr[j]);
                }
            }
        }
        return result;
    };
    ArrayDupesPipe = __decorate([
        core_1.Pipe({
            name: "dupes"
        })
    ], ArrayDupesPipe);
    return ArrayDupesPipe;
}());
exports.ArrayDupesPipe = ArrayDupesPipe;


/***/ }),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns difference between two arrays i.e the items unique to both arrays.
 */
var ArrayDiffPipe = /** @class */ (function () {
    function ArrayDiffPipe() {
    }
    ArrayDiffPipe.prototype.transform = function (array, seconndArray) {
        if (seconndArray === void 0) { seconndArray = []; }
        if (!Array.isArray(array)) {
            return array;
        }
        return array.filter(function (item) { return !seconndArray.includes(item); })
            .concat(seconndArray.filter(function (item) { return !array.includes(item); }));
    };
    ArrayDiffPipe = __decorate([
        core_1.Pipe({
            name: "diff"
        })
    ], ArrayDiffPipe);
    return ArrayDiffPipe;
}());
exports.ArrayDiffPipe = ArrayDiffPipe;


/***/ }),
/* 37 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns if the item is present in the array or not.
 */
var ArrayContainsPipe = /** @class */ (function () {
    function ArrayContainsPipe() {
    }
    ArrayContainsPipe.prototype.transform = function (array, item) {
        if (!Array.isArray(array)) {
            return false;
        }
        return array.includes(item);
    };
    ArrayContainsPipe = __decorate([
        core_1.Pipe({
            name: "contains"
        })
    ], ArrayContainsPipe);
    return ArrayContainsPipe;
}());
exports.ArrayContainsPipe = ArrayContainsPipe;


/***/ }),
/* 38 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var string_ucwords_first_pipe_1 = __webpack_require__(39);
var string_ucfirst_pipe_1 = __webpack_require__(40);
var string_trim_pipe_1 = __webpack_require__(41);
var string_rtrim_pipe_1 = __webpack_require__(42);
var string_reverse_pipe_1 = __webpack_require__(43);
var string_replace_last_pipe_1 = __webpack_require__(44);
var string_replace_first_pipe_1 = __webpack_require__(45);
var string_repeat_pipe_1 = __webpack_require__(46);
var string_profile_name_pipe_1 = __webpack_require__(47);
var string_camel_case_pipe_1 = __webpack_require__(48);
var string_abbrev_currency_pipe_1 = __webpack_require__(49);
var string_ltrim_pipe_1 = __webpack_require__(50);
var string_pad_end_pipe_1 = __webpack_require__(51);
var string_pad_start_pipe_1 = __webpack_require__(52);
var string_replace_pipe_1 = __webpack_require__(53);
var core_1 = __webpack_require__(0);
var StringPipesModule = /** @class */ (function () {
    function StringPipesModule() {
    }
    StringPipesModule = __decorate([
        core_1.NgModule({
            declarations: [string_abbrev_currency_pipe_1.StringAbbrevCurrencyPipe, string_camel_case_pipe_1.StringCamelCasePipe, string_ltrim_pipe_1.StringLtrimPipe, string_pad_end_pipe_1.StringPadEndPipe, string_pad_start_pipe_1.StringPadStartPipe,
                string_profile_name_pipe_1.StringProfileName, string_repeat_pipe_1.StringRepeatPipe, string_replace_first_pipe_1.StringReplaceFirstPipe, string_replace_last_pipe_1.StringReplaceLastPipe, string_replace_pipe_1.StringReplacePipe,
                string_reverse_pipe_1.StringReversePipe, string_rtrim_pipe_1.StringRtrimPipe, string_trim_pipe_1.StringTrimPipe, string_ucfirst_pipe_1.StringUcfirstPipe, string_ucwords_first_pipe_1.StringUcwordsFirstPipe],
            imports: [],
            exports: [string_abbrev_currency_pipe_1.StringAbbrevCurrencyPipe, string_camel_case_pipe_1.StringCamelCasePipe, string_ltrim_pipe_1.StringLtrimPipe, string_pad_end_pipe_1.StringPadEndPipe, string_pad_start_pipe_1.StringPadStartPipe,
                string_profile_name_pipe_1.StringProfileName, string_repeat_pipe_1.StringRepeatPipe, string_replace_first_pipe_1.StringReplaceFirstPipe, string_replace_last_pipe_1.StringReplaceLastPipe, string_replace_pipe_1.StringReplacePipe,
                string_reverse_pipe_1.StringReversePipe, string_rtrim_pipe_1.StringRtrimPipe, string_trim_pipe_1.StringTrimPipe, string_ucfirst_pipe_1.StringUcfirstPipe, string_ucwords_first_pipe_1.StringUcwordsFirstPipe],
            providers: [],
            bootstrap: []
        })
    ], StringPipesModule);
    return StringPipesModule;
}());
exports.StringPipesModule = StringPipesModule;


/***/ }),
/* 39 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * change first letter of each word to uppercase
 */
var StringUcwordsFirstPipe = /** @class */ (function () {
    function StringUcwordsFirstPipe() {
    }
    StringUcwordsFirstPipe.prototype.transform = function (value) {
        var words = value.split(" ");
        words = words.map(function (word) {
            return word.charAt(0).toUpperCase() + word.slice(1);
        });
        return words.join(" ");
    };
    StringUcwordsFirstPipe = __decorate([
        core_1.Pipe({
            name: "ucwordsfirst"
        })
    ], StringUcwordsFirstPipe);
    return StringUcwordsFirstPipe;
}());
exports.StringUcwordsFirstPipe = StringUcwordsFirstPipe;


/***/ }),
/* 40 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * changes first letter of string to uppercase
 */
var StringUcfirstPipe = /** @class */ (function () {
    function StringUcfirstPipe() {
    }
    StringUcfirstPipe.prototype.transform = function (value) {
        return value && value.charAt(0).toUpperCase() + value.slice(1);
    };
    StringUcfirstPipe = __decorate([
        core_1.Pipe({
            name: "ucfirst"
        })
    ], StringUcfirstPipe);
    return StringUcfirstPipe;
}());
exports.StringUcfirstPipe = StringUcfirstPipe;


/***/ }),
/* 41 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * trims off specified characters from start and end
 */
var StringTrimPipe = /** @class */ (function () {
    function StringTrimPipe() {
    }
    StringTrimPipe.prototype.transform = function (value, chars) {
        if (!chars || chars.length === 0) {
            return value.trim();
        }
        var re = new RegExp("^[" + chars + "]+|[" + chars + "]+$", "g");
        return value.replace(re, "").trim();
    };
    StringTrimPipe = __decorate([
        core_1.Pipe({
            name: "trim"
        })
    ], StringTrimPipe);
    return StringTrimPipe;
}());
exports.StringTrimPipe = StringTrimPipe;


/***/ }),
/* 42 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * trims off the chars from right side
 */
var StringRtrimPipe = /** @class */ (function () {
    function StringRtrimPipe() {
    }
    StringRtrimPipe.prototype.transform = function (value, chars) {
        if (!chars || chars.length === 0) {
            return value.trim();
        }
        var re = new RegExp("[" + chars + "]+$", "g");
        return value.replace(re, "").trim();
    };
    StringRtrimPipe = __decorate([
        core_1.Pipe({
            name: "rtrim"
        })
    ], StringRtrimPipe);
    return StringRtrimPipe;
}());
exports.StringRtrimPipe = StringRtrimPipe;


/***/ }),
/* 43 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * reverses the string
 */
var StringReversePipe = /** @class */ (function () {
    function StringReversePipe() {
    }
    StringReversePipe.prototype.transform = function (value) {
        var wordsReversed = value.split(" ").reverse();
        wordsReversed = wordsReversed.map(function (word) { return word.split("").reverse().join(""); });
        return wordsReversed.join(" ");
    };
    StringReversePipe = __decorate([
        core_1.Pipe({
            name: "reverse"
        })
    ], StringReversePipe);
    return StringReversePipe;
}());
exports.StringReversePipe = StringReversePipe;


/***/ }),
/* 44 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * replaces last occurance of a character
 */
var StringReplaceLastPipe = /** @class */ (function () {
    function StringReplaceLastPipe() {
    }
    StringReplaceLastPipe.prototype.transform = function (value, replaceChar, replaceWith) {
        var re = new RegExp(replaceChar + '([^' + replaceChar + ']*)$');
        replaceWith = replaceWith ? replaceWith : "";
        return value.replace(re, replaceWith + '$1');
    };
    StringReplaceLastPipe = __decorate([
        core_1.Pipe({
            name: "replaceLast"
        })
    ], StringReplaceLastPipe);
    return StringReplaceLastPipe;
}());
exports.StringReplaceLastPipe = StringReplaceLastPipe;


/***/ }),
/* 45 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * replaces the first occurance of the character with specified characterss
 */
var StringReplaceFirstPipe = /** @class */ (function () {
    function StringReplaceFirstPipe() {
    }
    StringReplaceFirstPipe.prototype.transform = function (value, replaceChar, replaceWith) {
        var re = new RegExp("[" + replaceChar + "]");
        replaceWith = replaceWith ? replaceWith : "";
        return value.replace(re, replaceWith);
    };
    StringReplaceFirstPipe = __decorate([
        core_1.Pipe({
            name: "replaceFirst"
        })
    ], StringReplaceFirstPipe);
    return StringReplaceFirstPipe;
}());
exports.StringReplaceFirstPipe = StringReplaceFirstPipe;


/***/ }),
/* 46 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * repeats the string n number of times
 */
var StringRepeatPipe = /** @class */ (function () {
    function StringRepeatPipe() {
    }
    StringRepeatPipe.prototype.transform = function (value, count) {
        if (count === void 0) { count = 1; }
        return value.repeat(count);
    };
    StringRepeatPipe = __decorate([
        core_1.Pipe({
            name: "repeat"
        })
    ], StringRepeatPipe);
    return StringRepeatPipe;
}());
exports.StringRepeatPipe = StringRepeatPipe;


/***/ }),
/* 47 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * Returns the short profile user name for a string
 * John Doe === JD
 */
var StringProfileName = /** @class */ (function () {
    function StringProfileName() {
    }
    StringProfileName.prototype.transform = function (value) {
        var splitWords = value.split(" ");
        return splitWords[0].charAt(0).toUpperCase() + splitWords[1].charAt(0).toUpperCase();
    };
    StringProfileName = __decorate([
        core_1.Pipe({
            name: "profileName"
        })
    ], StringProfileName);
    return StringProfileName;
}());
exports.StringProfileName = StringProfileName;


/***/ }),
/* 48 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * changes the string to camelCase string
 */
var StringCamelCasePipe = /** @class */ (function () {
    function StringCamelCasePipe() {
    }
    StringCamelCasePipe.prototype.transform = function (value) {
        var replaceChars = ["-_ "];
        var re = new RegExp("[" + replaceChars + "]", "g");
        var replacedString = value.replace(re, " ");
        return replacedString.split(" ").map(function (word) { return word.charAt(0).toUpperCase() + word.slice(1); }).join("");
    };
    StringCamelCasePipe = __decorate([
        core_1.Pipe({
            name: "camelCase"
        })
    ], StringCamelCasePipe);
    return StringCamelCasePipe;
}());
exports.StringCamelCasePipe = StringCamelCasePipe;


/***/ }),
/* 49 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * returns abbreviated currency for large values. for eg
 * 1000 = 1.00K
 * 10000 = 10.00K
 */
var StringAbbrevCurrencyPipe = /** @class */ (function () {
    function StringAbbrevCurrencyPipe() {
    }
    StringAbbrevCurrencyPipe.prototype.transform = function (value, toFixed, fullName) {
        if (toFixed === void 0) { toFixed = 2; }
        if (fullName === void 0) { fullName = false; }
        // Alter numbers larger than 1k
        if (value.toString().indexOf(",") > -1) {
            value = Number(value.split(",").join(""));
        }
        else {
            value = Number(value);
        }
        if (value >= 1e3) {
            var units = ["K", "M", "B", "T"];
            var fullUnits = ["Thousand", "Million", "Billion", "Trillion"];
            // Divide to get SI Unit engineering style numbers (1e3,1e6,1e9, etc)
            var unit = Math.floor(((value).toFixed(0).length - 1) / 3) * 3;
            // Calculate the remainder
            var rem = '1e' + unit;
            var num = (value / Number(rem)).toFixed(toFixed);
            var unitname = units[Math.floor(unit / 3) - 1];
            if (fullName) {
                unitname = fullUnits[Math.floor(unit / 3) - 1];
            }
            // output number remainder + unitname
            return num + unitname;
        }
        // return formatted original number
        return value.toLocaleString();
    };
    StringAbbrevCurrencyPipe = __decorate([
        core_1.Pipe({
            name: "cuurencyAbbrev"
        })
    ], StringAbbrevCurrencyPipe);
    return StringAbbrevCurrencyPipe;
}());
exports.StringAbbrevCurrencyPipe = StringAbbrevCurrencyPipe;


/***/ }),
/* 50 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * trims the characters from left if match found
 */
var StringLtrimPipe = /** @class */ (function () {
    function StringLtrimPipe() {
    }
    StringLtrimPipe.prototype.transform = function (value, chars) {
        if (!chars || chars.length === 0) {
            return value.trim();
        }
        var re = new RegExp("^[" + chars + "]+", "g");
        return value.replace(re, "").trim();
    };
    StringLtrimPipe = __decorate([
        core_1.Pipe({
            name: "ltrim"
        })
    ], StringLtrimPipe);
    return StringLtrimPipe;
}());
exports.StringLtrimPipe = StringLtrimPipe;


/***/ }),
/* 51 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * pads the string at end where target length of string will be string length + count
 */
var StringPadEndPipe = /** @class */ (function () {
    function StringPadEndPipe() {
    }
    StringPadEndPipe.prototype.transform = function (value, count, chars) {
        if (count === void 0) { count = 0; }
        if (!count) {
            count = chars.length;
        }
        return value.padEnd(value.length + count, chars ? chars : ' ');
    };
    StringPadEndPipe = __decorate([
        core_1.Pipe({
            name: 'padEnd'
        })
    ], StringPadEndPipe);
    return StringPadEndPipe;
}());
exports.StringPadEndPipe = StringPadEndPipe;


/***/ }),
/* 52 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * pads the string at start where target length of string will be string length + count
 */
var StringPadStartPipe = /** @class */ (function () {
    function StringPadStartPipe() {
    }
    StringPadStartPipe.prototype.transform = function (value, count, chars) {
        if (!count) {
            count = chars.length;
        }
        return value.padStart(value.length + count, chars ? chars : ' ');
    };
    StringPadStartPipe = __decorate([
        core_1.Pipe({
            name: 'padStart'
        })
    ], StringPadStartPipe);
    return StringPadStartPipe;
}());
exports.StringPadStartPipe = StringPadStartPipe;


/***/ }),
/* 53 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * replaces all occurrances of particular character with specified characters
 */
var StringReplacePipe = /** @class */ (function () {
    function StringReplacePipe() {
    }
    StringReplacePipe.prototype.transform = function (value, replaceChar, replaceWith) {
        var re = new RegExp("[" + replaceChar + "]", "g");
        return value.replace(re, replaceWith ? replaceWith : "");
    };
    StringReplacePipe = __decorate([
        core_1.Pipe({
            name: "replace"
        })
    ], StringReplacePipe);
    return StringReplacePipe;
}());
exports.StringReplacePipe = StringReplacePipe;


/***/ }),
/* 54 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var math_pipes_module_1 = __webpack_require__(1);
var core_1 = __webpack_require__(0);
var array_pipes_1 = __webpack_require__(2);
var string_pipes_1 = __webpack_require__(3);
var CustomPipesModule = /** @class */ (function () {
    function CustomPipesModule() {
    }
    CustomPipesModule = __decorate([
        core_1.NgModule({
            declarations: [],
            imports: [array_pipes_1.ArrayPipesModule, math_pipes_module_1.MathPipesModule, string_pipes_1.StringPipesModule],
            exports: [array_pipes_1.ArrayPipesModule, math_pipes_module_1.MathPipesModule, string_pipes_1.StringPipesModule]
        })
    ], CustomPipesModule);
    return CustomPipesModule;
}());
exports.CustomPipesModule = CustomPipesModule;


/***/ })
/******/ ]);
});
//# sourceMappingURL=index.umd.js.map