import { Pipe } from '@angular/core';
/**
 * converts radians to degrees
 */
export class MathDegreesPipe {
    transform(value) {
        return isNaN(value) ? value : value * 180 / Math.PI;
    }
}
MathDegreesPipe.decorators = [
    { type: Pipe, args: [{
                name: "degrees"
            },] },
];
/** @nocollapse */
MathDegreesPipe.ctorParameters = () => [];
//# sourceMappingURL=math-degrees.pipe.js.map