import { Pipe } from '@angular/core';
/*
 * Calculate the floor value of argument
*/
export class MathFloorPipe {
    transform(value) {
        return isNaN(value) ? value : Math.floor(value);
    }
}
MathFloorPipe.decorators = [
    { type: Pipe, args: [{ name: 'floor' },] },
];
/** @nocollapse */
MathFloorPipe.ctorParameters = () => [];
//# sourceMappingURL=math-floor.pipe.js.map