import { Pipe } from '@angular/core';
/*
 * Calculate the exponential power of argument
*/
export class MathPowPipe {
    transform(value, pow) {
        return isNaN(value) ? value : Math.pow(value, isNaN(pow) ? 1 : pow);
    }
}
MathPowPipe.decorators = [
    { type: Pipe, args: [{ name: 'pow' },] },
];
/** @nocollapse */
MathPowPipe.ctorParameters = () => [];
//# sourceMappingURL=math-pow.pipe.js.map