import { Pipe } from '@angular/core';
/**
 * calculates the square root of a given number
 */
export class MathSqrtPipe {
    transform(value) {
        return isNaN(value) ? value : Math.sqrt(value);
    }
}
MathSqrtPipe.decorators = [
    { type: Pipe, args: [{
                name: 'sqrt'
            },] },
];
/** @nocollapse */
MathSqrtPipe.ctorParameters = () => [];
//# sourceMappingURL=math-sqrt.pipe.js.map