import { Pipe } from '@angular/core';
/**
 * returns the binary representation of a number
 */
export class MathToBinaryPipe {
    transform(value, base = 2) {
        return isNaN(value) ? value : value.toString(base);
    }
}
MathToBinaryPipe.decorators = [
    { type: Pipe, args: [{ name: 'toBinary' },] },
];
/** @nocollapse */
MathToBinaryPipe.ctorParameters = () => [];
//# sourceMappingURL=math-to-binary.pipe.js.map