import { Pipe } from '@angular/core';
/**
 * changes the string to camelCase string
 */
export class StringCamelCasePipe {
    transform(value) {
        const replaceChars = ["-_ "];
        const re = new RegExp("[" + replaceChars + "]", "g");
        const replacedString = value.replace(re, " ");
        return replacedString.split(" ").map((word) => word.charAt(0).toUpperCase() + word.slice(1)).join("");
    }
}
StringCamelCasePipe.decorators = [
    { type: Pipe, args: [{
                name: "camelCase"
            },] },
];
/** @nocollapse */
StringCamelCasePipe.ctorParameters = () => [];
//# sourceMappingURL=string-camel-case.pipe.js.map