import { Pipe } from '@angular/core';
/**
 * Returns the short profile user name for a string
 * John Doe === JD
 */
export class StringProfileName {
    transform(value) {
        const splitWords = value.split(" ");
        return splitWords[0].charAt(0).toUpperCase() + splitWords[1].charAt(0).toUpperCase();
    }
}
StringProfileName.decorators = [
    { type: Pipe, args: [{
                name: "profileName"
            },] },
];
/** @nocollapse */
StringProfileName.ctorParameters = () => [];
//# sourceMappingURL=string-profile-name.pipe.js.map