import { Pipe } from '@angular/core';
/**
 * repeats the string n number of times
 */
export class StringRepeatPipe {
    transform(value, count = 1) {
        return value.repeat(count);
    }
}
StringRepeatPipe.decorators = [
    { type: Pipe, args: [{
                name: "repeat"
            },] },
];
/** @nocollapse */
StringRepeatPipe.ctorParameters = () => [];
//# sourceMappingURL=string-repeat.pipe.js.map