import { Pipe } from '@angular/core';
/**
 * replaces all occurrances of particular character with specified characters
 */
export class StringReplacePipe {
    transform(value, replaceChar, replaceWith) {
        const re = new RegExp("[" + replaceChar + "]", "g");
        return value.replace(re, replaceWith ? replaceWith : "");
    }
}
StringReplacePipe.decorators = [
    { type: Pipe, args: [{
                name: "replace"
            },] },
];
/** @nocollapse */
StringReplacePipe.ctorParameters = () => [];
//# sourceMappingURL=string-replace.pipe.js.map