import { Pipe } from '@angular/core';
/**
 * reverses the string
 */
export class StringReversePipe {
    transform(value) {
        let wordsReversed = value.split(" ").reverse();
        wordsReversed = wordsReversed.map((word) => word.split("").reverse().join(""));
        return wordsReversed.join(" ");
    }
}
StringReversePipe.decorators = [
    { type: Pipe, args: [{
                name: "reverse"
            },] },
];
/** @nocollapse */
StringReversePipe.ctorParameters = () => [];
//# sourceMappingURL=string-reverse.pipe.js.map