import { Pipe } from '@angular/core';
/**
 * trims off the chars from right side
 */
export class StringRtrimPipe {
    transform(value, chars) {
        if (!chars || chars.length === 0) {
            return value.trim();
        }
        const re = new RegExp("[" + chars + "]+$", "g");
        return value.replace(re, "").trim();
    }
}
StringRtrimPipe.decorators = [
    { type: Pipe, args: [{
                name: "rtrim"
            },] },
];
/** @nocollapse */
StringRtrimPipe.ctorParameters = () => [];
//# sourceMappingURL=string-rtrim.pipe.js.map