import { Pipe } from '@angular/core';
/**
 * changes first letter of string to uppercase
 */
export class StringUcfirstPipe {
    transform(value) {
        return value && value.charAt(0).toUpperCase() + value.slice(1);
    }
}
StringUcfirstPipe.decorators = [
    { type: Pipe, args: [{
                name: "ucfirst"
            },] },
];
/** @nocollapse */
StringUcfirstPipe.ctorParameters = () => [];
//# sourceMappingURL=string-ucfirst.pipe.js.map