import { Pipe } from "@angular/core";
/**
 * returns difference between two arrays i.e the items unique to both arrays.
 */
export class ArrayDiffPipe {
    transform(array, seconndArray = []) {
        if (!Array.isArray(array)) {
            return array;
        }
        return array.filter((item) => !seconndArray.includes(item))
            .concat(seconndArray.filter((item) => !array.includes(item)));
    }
}
ArrayDiffPipe.decorators = [
    { type: Pipe, args: [{
                name: "diff"
            },] },
];
/** @nocollapse */
ArrayDiffPipe.ctorParameters = () => [];
//# sourceMappingURL=array-diff.pipe.js.map