import { Pipe } from "@angular/core";
export class ArrayLimitToPipe {
    transform(array, itemsCount, startIndex = 0) {
        if (!Array.isArray(array)) {
            return array;
        }
        return array.slice(startIndex, startIndex + itemsCount);
    }
}
ArrayLimitToPipe.decorators = [
    { type: Pipe, args: [{
                name: "limitTo"
            },] },
];
/** @nocollapse */
ArrayLimitToPipe.ctorParameters = () => [];
//# sourceMappingURL=array-limit-to.pipe.js.map