import { Pipe } from "@angular/core";
/**
 * ltrims an array
 */
export class ArrayLtrimPipe {
    transform(array, itemsCount = 0) {
        if (!Array.isArray(array)) {
            return array;
        }
        array.splice(0, itemsCount);
        return array;
    }
}
ArrayLtrimPipe.decorators = [
    { type: Pipe, args: [{
                name: "ltrim"
            },] },
];
/** @nocollapse */
ArrayLtrimPipe.ctorParameters = () => [];
//# sourceMappingURL=array-ltrim.pipe.js.map