import { Pipe } from "@angular/core";
/**
 * merges two or more arrays
 */
export class ArrayMergePipe {
    transform(array, ...arrays) {
        if (!Array.isArray(array)) {
            return array;
        }
        return array.concat(...arrays);
    }
}
ArrayMergePipe.decorators = [
    { type: Pipe, args: [{
                name: "merge"
            },] },
];
/** @nocollapse */
ArrayMergePipe.ctorParameters = () => [];
//# sourceMappingURL=array-merge.pipe.js.map