import { Pipe } from "@angular/core";
export class ArrayReversePipe {
    transform(array) {
        if (!Array.isArray(array)) {
            return array;
        }
        return array.reverse();
    }
}
ArrayReversePipe.decorators = [
    { type: Pipe, args: [{
                name: "reverse"
            },] },
];
/** @nocollapse */
ArrayReversePipe.ctorParameters = () => [];
//# sourceMappingURL=array-reverse.pipe.js.map