import { Pipe } from "@angular/core";
/**
 * returns a shuffled array
 */
export class ArrayShufflePipe {
    transform(array) {
        if (!Array.isArray(array)) {
            return array;
        }
        return array.sort(() => Math.random() - 0.5);
    }
}
ArrayShufflePipe.decorators = [
    { type: Pipe, args: [{
                name: "shuffle"
            },] },
];
/** @nocollapse */
ArrayShufflePipe.ctorParameters = () => [];
//# sourceMappingURL=array-shuffle.pipe.js.map