import { Pipe } from '@angular/core';
/*
 * Calculate the ceiling value of argument
*/
export class MathCeilingPipe {
    transform(value) {
        return isNaN(value) ? value : Math.ceil(value);
    }
}
MathCeilingPipe.decorators = [
    { type: Pipe, args: [{ name: 'ceil' },] },
];
/** @nocollapse */
MathCeilingPipe.ctorParameters = () => [];
//# sourceMappingURL=math-ceil.pipe.js.map