import { Pipe } from '@angular/core';
/*
 * returns the decimal/hexadecimmal etc representation of a number
*/
export class MathFromBinaryPipe {
    transform(value, base = 2) {
        return parseInt(value, base);
    }
}
MathFromBinaryPipe.decorators = [
    { type: Pipe, args: [{ name: 'fromBinary' },] },
];
/** @nocollapse */
MathFromBinaryPipe.ctorParameters = () => [];
//# sourceMappingURL=math-from-binary.pipe.js.map