import { Pipe } from '@angular/core';
/*
 * Calculate the percentage of value of argument
*/
export class MathPercentagePipe {
    transform(value, total = 100) {
        return isNaN(value) ? value : (value / total) * 100 + "%";
    }
}
MathPercentagePipe.decorators = [
    { type: Pipe, args: [{ name: 'prcnt' },] },
];
/** @nocollapse */
MathPercentagePipe.ctorParameters = () => [];
//# sourceMappingURL=math-percent.pipe.js.map