import { Pipe } from '@angular/core';
/**
 * converts degrees to radians
 */
export class MathRadiansPipe {
    transform(value) {
        return isNaN(value) ? value : value * Math.PI / 180;
    }
}
MathRadiansPipe.decorators = [
    { type: Pipe, args: [{
                name: "radians"
            },] },
];
/** @nocollapse */
MathRadiansPipe.ctorParameters = () => [];
//# sourceMappingURL=math-radians.pipe.js.map