import { Pipe } from '@angular/core';
export class MathRoundOffPipe {
    transform(value, digits = 0) {
        return isNaN(value) ? value : value.toFixed(digits);
    }
}
MathRoundOffPipe.decorators = [
    { type: Pipe, args: [{ name: "roundoff" },] },
];
/** @nocollapse */
MathRoundOffPipe.ctorParameters = () => [];
//# sourceMappingURL=math-round-off.pipe.js.map