import { Pipe } from '@angular/core';
/**
 * replaces the first occurance of the character with specified characterss
 */
export class StringReplaceFirstPipe {
    transform(value, replaceChar, replaceWith) {
        const re = new RegExp("[" + replaceChar + "]");
        replaceWith = replaceWith ? replaceWith : "";
        return value.replace(re, replaceWith);
    }
}
StringReplaceFirstPipe.decorators = [
    { type: Pipe, args: [{
                name: "replaceFirst"
            },] },
];
/** @nocollapse */
StringReplaceFirstPipe.ctorParameters = () => [];
//# sourceMappingURL=string-replace-first.pipe.js.map