import { Pipe } from '@angular/core';
/**
 * replaces last occurance of a character
 */
export class StringReplaceLastPipe {
    transform(value, replaceChar, replaceWith) {
        const re = new RegExp(replaceChar + '([^' + replaceChar + ']*)$');
        replaceWith = replaceWith ? replaceWith : "";
        return value.replace(re, replaceWith + '$1');
    }
}
StringReplaceLastPipe.decorators = [
    { type: Pipe, args: [{
                name: "replaceLast"
            },] },
];
/** @nocollapse */
StringReplaceLastPipe.ctorParameters = () => [];
//# sourceMappingURL=string-replace-last.pipe.js.map