import { Pipe } from "@angular/core";
/**
 * change first letter of each word to uppercase
 */
export class StringUcwordsFirstPipe {
    transform(value) {
        let words = value.split(" ");
        words = words.map((word) => {
            return word.charAt(0).toUpperCase() + word.slice(1);
        });
        return words.join(" ");
    }
}
StringUcwordsFirstPipe.decorators = [
    { type: Pipe, args: [{
                name: "ucwordsfirst"
            },] },
];
/** @nocollapse */
StringUcwordsFirstPipe.ctorParameters = () => [];
//# sourceMappingURL=string-ucwords-first.pipe.js.map